import { Buildx } from './buildx';
import { Context } from './context';
export interface BuilderInfo {
    name?: string;
    driver?: string;
    lastActivity?: Date;
    nodes: NodeInfo[];
}
export interface NodeInfo {
    name?: string;
    endpoint?: string;
    driverOpts?: Array<string>;
    status?: string;
    buildkitdFlags?: string;
    buildkitVersion?: string;
    platforms?: string;
}
export interface BuilderOpts {
    context: Context;
    buildx?: Buildx;
}
export declare class Builder {
    private readonly context;
    private readonly buildx;
    constructor(opts: BuilderOpts);
    inspect(name: string): Promise<BuilderInfo>;
    static parseInspect(data: string): BuilderInfo;
}
