import { Context } from './context';
import { Buildx } from './buildx';
export interface BuildKitOpts {
    context: Context;
    buildx?: Buildx;
}
export declare class BuildKit {
    private readonly context;
    private readonly buildx;
    private containerNamePrefix;
    constructor(opts: BuildKitOpts);
    private getBuilderInfo;
    getVersion(builderName: string): Promise<string | undefined>;
    private getVersionWithinImage;
    versionSatisfies(builderName: string, range: string): Promise<boolean>;
    generateConfigInline(s: string): string;
    generateConfigFile(s: string): string;
    private generateConfig;
}
