import { Context } from './context';
export interface BuildxOpts {
    context: Context;
    standalone?: boolean;
}
export declare class Buildx {
    private readonly context;
    standalone: boolean;
    version: Promise<string>;
    constructor(opts: BuildxOpts);
    getCommand(args: Array<string>): {
        command: string;
        args: string[];
    };
    isAvailable(): Promise<boolean>;
    printInspect(name: string): Promise<void>;
    private getVersion;
    printVersion(): Promise<void>;
    static parseVersion(stdout: string): string;
    versionSatisfies(range: string, version?: string): Promise<boolean>;
    getBuildImageIDFilePath(): string;
    getBuildMetadataFilePath(): string;
    getBuildImageID(): string | undefined;
    getBuildMetadata(): string | undefined;
    getDigest(): string | undefined;
    generateBuildSecretString(kvp: string): string;
    generateBuildSecretFile(kvp: string): string;
    generateBuildSecret(kvp: string, file: boolean): string;
    getProvenanceInput(name: string): string;
    getProvenanceAttrs(input: string): string;
    static hasLocalExporter(exporters: string[]): boolean;
    static hasTarExporter(exporters: string[]): boolean;
    static hasDockerExporter(exporters: string[], load?: boolean): boolean;
    static hasExporterType(name: string, exporters: string[]): boolean;
    static hasGitAuthTokenSecret(secrets: string[]): boolean;
}
