"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Context = void 0;
const fs_1 = __importDefault(require("fs"));
const os_1 = __importDefault(require("os"));
const path_1 = __importDefault(require("path"));
const tmp = __importStar(require("tmp"));
const github = __importStar(require("@actions/github"));
const github_1 = require("./github");
class Context {
    constructor() {
        this._tmpDir = fs_1.default.mkdtempSync(path_1.default.join(os_1.default.tmpdir(), 'docker-actions-toolkit-')).split(path_1.default.sep).join(path_1.default.posix.sep);
        this.gitRef = github.context.ref;
        if (github.context.sha && this.gitRef && !this.gitRef.startsWith('refs/')) {
            this.gitRef = `refs/heads/${github.context.ref}`;
        }
        if (github.context.sha && !this.gitRef.startsWith(`refs/pull/`)) {
            this.gitRef = github.context.sha;
        }
        this.buildGitContext = `${github_1.GitHub.serverURL}/${github.context.repo.owner}/${github.context.repo.repo}.git#${this.gitRef}`;
        this.provenanceBuilderID = `${github_1.GitHub.serverURL}/${github.context.repo.owner}/${github.context.repo.repo}/actions/runs/${github.context.runId}`;
    }
    tmpDir() {
        return this._tmpDir;
    }
    tmpName(options) {
        return tmp.tmpNameSync(options);
    }
}
exports.Context = Context;
//# sourceMappingURL=context.js.map