import { GitHub as Octokit } from '@actions/github/lib/utils';
import { components as OctoOpenApiTypes } from '@octokit/openapi-types';
import { JwtPayload } from 'jwt-decode';
import { Context } from '@actions/github/lib/context';
export type GitHubRepo = OctoOpenApiTypes['schemas']['repository'];
export interface GitHubActionsRuntimeToken extends JwtPayload {
    ac?: string;
}
export interface GitHubOpts {
    token?: string;
}
export declare class GitHub {
    static readonly serverURL: string;
    readonly octokit: InstanceType<typeof Octokit>;
    constructor(opts?: GitHubOpts);
    get context(): Context;
    get serverURL(): string;
    get actionsRuntimeToken(): GitHubActionsRuntimeToken;
    repoData(): Promise<GitHubRepo>;
}
