"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Toolkit = exports.Util = exports.GitHub = exports.Git = exports.Docker = exports.Context = exports.Buildx = exports.BuildKit = exports.Builder = void 0;
const context_1 = require("./context");
const buildx_1 = require("./buildx");
const buildkit_1 = require("./buildkit");
const github_1 = require("./github");
var builder_1 = require("./builder");
Object.defineProperty(exports, "Builder", { enumerable: true, get: function () { return builder_1.Builder; } });
var buildkit_2 = require("./buildkit");
Object.defineProperty(exports, "BuildKit", { enumerable: true, get: function () { return buildkit_2.BuildKit; } });
var buildx_2 = require("./buildx");
Object.defineProperty(exports, "Buildx", { enumerable: true, get: function () { return buildx_2.Buildx; } });
var context_2 = require("./context");
Object.defineProperty(exports, "Context", { enumerable: true, get: function () { return context_2.Context; } });
var docker_1 = require("./docker");
Object.defineProperty(exports, "Docker", { enumerable: true, get: function () { return docker_1.Docker; } });
var git_1 = require("./git");
Object.defineProperty(exports, "Git", { enumerable: true, get: function () { return git_1.Git; } });
var github_2 = require("./github");
Object.defineProperty(exports, "GitHub", { enumerable: true, get: function () { return github_2.GitHub; } });
var util_1 = require("./util");
Object.defineProperty(exports, "Util", { enumerable: true, get: function () { return util_1.Util; } });
class Toolkit {
    constructor(opts = {}) {
        this.context = new context_1.Context();
        this.github = new github_1.GitHub({ token: opts.githubToken });
        this.buildx = new buildx_1.Buildx({ context: this.context });
        this.buildkit = new buildkit_1.BuildKit({ context: this.context, buildx: this.buildx });
    }
}
exports.Toolkit = Toolkit;
//# sourceMappingURL=toolkit.js.map